%define upstream_name	 Image-Xbm
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Load, create, manipulate and save xbm image files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SU/SUMMER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Image::Base) >= 1.60.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Image::Base)
BuildArch:  noarch

%description
This class module provides basic load, manipulate and save functionality for
the xbm file format. It inherits from Image::Base which provides additional
manipulation functionality, e.g. new_from_image(). See the Image::Base pod for
information on adding your own functionality to all the Image::Base derived
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Image
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-4.mga8
+ Revision: 1495066
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.100.0-3.mga7
+ Revision: 1268635
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-2.mga6
+ Revision: 1028491
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.100.0-1.mga6
+ Revision: 1001994
- update to 1.10

* Sat Feb 20 2016 umeabot <umeabot> 1.90.0-2.mga6
+ Revision: 971321
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.90.0-1.mga6
+ Revision: 891386
- update to 1.09

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-6.mga5
+ Revision: 750024
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.80.0-5.mga5
+ Revision: 727606
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 685126
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 512353
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 368739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 23320
- cleaning spec file
- imported package perl-Image-Xbm


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 402544
- update to 0.56

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.08-11mdv2009.0
+ Revision: 241489
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-9mdv2008.0
+ Revision: 86476
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-8mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-7mdk
- better summary and description
- spec cleanup
- better URL
- %%mkrel

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-6mdk
- fix buildrequires in a backward compatible way
- remove MANIFEST file

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-5mdk 
- rebuild

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-4mdk 
- fix directory ownership (distlint)
- make test

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-3mdk 
- rpmbuildupdate aware

